
c
c
c
c     =====================================================
       subroutine qinit(maxmx,maxmy,meqn,mbc,mx,my,xlower,ylower,
     &                   dx,dy,q,maux,aux)
c     =====================================================
c
c     # Set initial conditions for q.
c
       implicit double precision (a-h,o-z)
       dimension q(1-mbc:maxmx+mbc, 1-mbc:maxmy+mbc, meqn)
c
       do 20 i=1,mx
	  xlow = xlower + (i-1.0d0)*dx
          do 20 j=1,my
	     ylow = ylower + (j-1.0d0)*dy
             q(i,j,1) = 0.d0
	     q(i,j,2) = 0.d0
	     q(i,j,3) = 0.d0
  20         continue
       return
       end
